All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.browse
Class BrowseMetadataUtil

    com.sas.services.information.browse.BrowseMetadataUtil

    public class BrowseMetadataUtil

Utility class for browse metadata objects.

Since:
  9.4

Constructor Summary
`BrowseMetadataUtil()`

Method Summary
`static java.lang.String` | `getCreatedBy(BrowseMetadataInterface browse)` Gets the name of the user that created the object.
`static java.lang.String` | `getDisplayName(BrowseMetadataInterface browse)` Returns the display name for a given browse metadata object if it exists.
`static java.util.Map<java.lang.String,java.lang.String>` | `getExtendedAttributes(BrowseMetadataInterface browse)` Extract the extended attributes property from the given `BrowseMetadataInterface`.
`static java.util.List<java.lang.String>` | `getKeywords(BrowseMetadataInterface browse)` Extract the keywords property from the given `BrowseMetadataInterface` as a list of strings.
`static java.lang.String` | `getModifiedBy(BrowseMetadataInterface browse)` Gets the name of the user that modified the object.
`static java.lang.String` | `getPublicType(BrowseMetadataInterface browse)` Returns the public type value of the browse metadtata object, or null if not found.
`static java.util.List<ResponsibilityDetails>` | `getResponsibilities(BrowseMetadataInterface browse)` Extract the responsibilities property from the given `BrowseMetadataInterface`.
`static com.sas.util.UsageVersion` | `getUsageVersion(BrowseMetadataInterface browse)` The usage version of this object.

Constructor Detail

### BrowseMetadataUtil

    public BrowseMetadataUtil()

Method Detail

### getPublicType

    public static java.lang.String getPublicType(BrowseMetadataInterface browse)

  Returns the public type value of the browse metadtata object, or null if not found.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    the public type value

### getUsageVersion

    public static com.sas.util.UsageVersion getUsageVersion(BrowseMetadataInterface browse)

  The usage version of this object. Returns a null value if a usage version was not found.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    the object's version

### getDisplayName

    public static java.lang.String getDisplayName(BrowseMetadataInterface browse)

  Returns the display name for a given browse metadata object if it exists. Not all objects support a display name property. If the object doesn't, or the display name cannot be found, the object's regular name attribute will be returned instead.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    the object's display name if it exists, otherwise the object's name

### getKeywords

    public static java.util.List<java.lang.String> getKeywords(BrowseMetadataInterface browse)

  Extract the keywords property from the given `BrowseMetadataInterface` as a list of strings. "Keywords" must have been fetched as part of the retrieval of the given browse metadata object.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    list of keywords

### getExtendedAttributes

    public static java.util.Map<java.lang.String,java.lang.String> getExtendedAttributes(BrowseMetadataInterface browse)

  Extract the extended attributes property from the given `BrowseMetadataInterface`. "Extensions" must have been fetched as part of the retrieval of the given browse metadata object.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    map of extended attributes as a key/value pair

### getModifiedBy

    public static java.lang.String getModifiedBy(BrowseMetadataInterface browse)

  Gets the name of the user that modified the object.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    modified by name

### getCreatedBy

    public static java.lang.String getCreatedBy(BrowseMetadataInterface browse)

  Gets the name of the user that created the object.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    created by name

### getResponsibilities

    public static java.util.List<ResponsibilityDetails> getResponsibilities(BrowseMetadataInterface browse)

  Extract the responsibilities property from the given `BrowseMetadataInterface`. "ResponsibleParties" must have been fetched as part of the retrieval of the given browse metadata object.

  Parameters:
    `browse` - the browse metadata object
  Returns:
    list of responsibilities

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.